org.gnome.gtk

## Class Layout

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Container
          - - org.gnome.gtk.Layout

-     public class Layout
      extends Container

  A Container that is able to hold present a limited view of Widgets laid out on a larger canvas. Layouts are designed for scrolling and should be added to a ScrolledWindow with `add()`.

  Note that this Widget has the same limitations as Fixed due to it positioning child Widgets by co-ordinates and not by box packing (no layout management, no resizing, likelihood of rendering collisions, etc). You are better off adding a proper Container and adding scrolling with ScrolledWindow's `addWithViewport()`.

  Since:
    4.0.8
  Author:
    Andrew Cowie

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.QueryTooltip, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Layout()` Construct a Layout with default adjustments.
    `Layout(Adjustment hadjustment, Adjustment vadjustment)` Construct a Layout, supplying the Adjustment object used to control the panning.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adjustment` | `getHAdjustment()` Get the Adjustment that is being used to drive the horizontal position of the viewport showing over this Layout's canvas.
    `Adjustment` | `getVAdjustment()` Get the Adjustment that is being used to drive the vertical position of the viewport showing over this Layout's canvas.
    `void` | `move(Widget child, int x, int y)` Relocate a child Widget to the specified co-ordinates.
    `void` | `put(Widget child, int x, int y)` Add a child Widget at the specified co-ordinates.
    `void` | `setSize(int width, int height)` Set the total extent of the canvas that this Layout will scroll its viewport over.

    - ### Methods inherited from class org.gnome.gtk.Container

      `add, getChildren, remove, setBorderWidth`

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Layout

          public Layout()

      Construct a Layout with default adjustments.
      Since:
        4.0.8

    - #### Layout

          public Layout(Adjustment hadjustment,
                Adjustment vadjustment)

      Construct a Layout, supplying the Adjustment object used to control the panning. You'd use this if you are manually managing the Adjustment values yourself.
      Since:
        4.0.8

  - ### Method Detail

    - #### getHAdjustment

          public Adjustment getHAdjustment()

      Get the Adjustment that is being used to drive the horizontal position of the viewport showing over this Layout's canvas.
      Since:
        4.0.8

    - #### getVAdjustment

          public Adjustment getVAdjustment()

      Get the Adjustment that is being used to drive the vertical position of the viewport showing over this Layout's canvas.
      Since:
        4.0.8

    - #### move

          public void move(Widget child,
                  int x,
                  int y)

      Relocate a child Widget to the specified co-ordinates.
      Since:
        4.0.8

    - #### put

          public void put(Widget child,
                 int x,
                 int y)

      Add a child Widget at the specified co-ordinates.
      Since:
        4.0.8

    - #### setSize

          public void setSize(int width,
                     int height)

      Set the total extent of the canvas that this Layout will scroll its viewport over.
      Since:
        4.0.8